diff --git a/engines/pegasus/items/inventorypicture.cpp b/engines/pegasus/items/inventorypicture.cpp
index fc812fa..99b9ad8 100644
--- a/engines/pegasus/items/inventorypicture.cpp
+++ b/engines/pegasus/items/inventorypicture.cpp
@@ -318,6 +318,10 @@ void InventoryItemsPicture::deactivateInventoryPicture() {
 	}
 }
 
+void InventoryItemsPicture::setCommPicture() {
+	_pictName = "Images/Items/Inventory/Comm Panel";
+}
+
 void InventoryItemsPicture::playEndMessage(DisplayElement *pushElement) {
 	PegasusEngine *vm = (PegasusEngine *)g_engine;
 
@@ -326,6 +330,7 @@ void InventoryItemsPicture::playEndMessage(DisplayElement *pushElement) {
 	_shouldDrawHighlight = false;
 	endMessage.shareSurface(this);
 	endMessage.initFromMovieFile("Images/Caldoria/A56 Congrats");
+	endMessage.setVolume(((PegasusEngine *)g_engine)->getSoundFXLevel());
 	endMessage.moveMovieBoxTo(kFinalMessageLeft - kInventoryPushLeft, kFinalMessageTop - kInventoryPushTop);
 	endMessage.setTriggeredElement(pushElement);
 	endMessage.start();
diff --git a/engines/pegasus/items/inventorypicture.h b/engines/pegasus/items/inventorypicture.h
index 9eba25b..1c89f50 100644
--- a/engines/pegasus/items/inventorypicture.h
+++ b/engines/pegasus/items/inventorypicture.h
@@ -98,6 +98,7 @@ public:
 
 	void disableLooping() { _isLooping = false; }
 
+	void setCommPicture();
 	void playEndMessage(DisplayElement *);
 
 protected:
diff --git a/engines/pegasus/items/item.h b/engines/pegasus/items/item.h
index a1451b2..1b0e7c0 100644
--- a/engines/pegasus/items/item.h
+++ b/engines/pegasus/items/item.h
@@ -118,6 +118,7 @@ static const ItemID kArgonPickup = 24;
 // Biochips.
 
 static const ItemID kAIBiochip = 0;
+static const ItemID kArthurBiochip = 1;
 static const ItemID kInterfaceBiochip = 1;
 static const ItemID kMapBiochip = 2;
 static const ItemID kOpticalBiochip = 3;
@@ -248,6 +249,14 @@ static const ItemState kFlashlightOn = 115;
 static const ItemState kNitrogenEmpty = 116;
 static const ItemState kNitrogenFull = 117;
 static const ItemState kFullGlass = 118;
+static const ItemState kArthur000 = 119;
+static const ItemState kArthur002 = 120;
+static const ItemState kArthur010 = 121;
+static const ItemState kArthur012 = 122;
+static const ItemState kArthur100 = 123;
+static const ItemState kArthur102 = 124;
+static const ItemState kArthur110 = 125;
+static const ItemState kArthur112 = 126;
 
 // Extra IDs.
 
diff --git a/engines/pegasus/menu.cpp b/engines/pegasus/menu.cpp
index e55c006..0897f2a 100644
--- a/engines/pegasus/menu.cpp
+++ b/engines/pegasus/menu.cpp
@@ -23,6 +23,8 @@
  *
  */
 
+#include "common/file.h"
+
 #include "pegasus/gamestate.h"
 #include "pegasus/menu.h"
 #include "pegasus/pegasus.h"
@@ -155,7 +157,10 @@ MainMenu::MainMenu() : GameMenu(kMainMenuID), _menuBackground(0), _overviewButto
 		else
 			_menuBackground.initFromPICTFile("Images/Demo/DemoMenu.pict");
 	} else {
-		_menuBackground.initFromPICTFile("Images/Main Menu/MainMenu.mac");
+		if (((PegasusEngine *)g_engine)->isDVD())
+			_menuBackground.initFromPICTFile("Images/Main Menu/MainMenu_hq.mac");
+		else
+			_menuBackground.initFromPICTFile("Images/Main Menu/MainMenu.mac");
 	}
 	_menuBackground.setDisplayOrder(0);
 	_menuBackground.startDisplaying();
@@ -444,9 +449,12 @@ static const CoordType kCreditsMainMenuSelectTop = 408;
 
 static const TimeValue kCoreTeamTime = 0;
 static const TimeValue kSupportTeamTime = 1920;
-static const TimeValue kOriginalTeamTime = 3000;
-static const TimeValue kTalentTime = 4440;
-static const TimeValue kOtherTitlesTime = 4680;
+static const TimeValue kOriginalTeamCDTime = 3000;
+static const TimeValue kOriginalTeamDVDTime = 3240;
+static const TimeValue kTalentCDTime = 4440;
+static const TimeValue kTalentDVDTime = 4680;
+static const TimeValue kOtherTitlesCDTime = 4680;
+static const TimeValue kOtherTitlesDVDTime = 4920;
 
 static const TimeValue kFrameIncrement = 120; // Three frames...
 
@@ -454,12 +462,18 @@ static const TimeValue kFrameIncrement = 120; // Three frames...
 CreditsMenu::CreditsMenu() : GameMenu(kCreditsMenuID), _menuBackground(0), _creditsMovie(0),
 		_mainMenuButton(0), _largeSelect(0), _smallSelect(0) {
 
-	_menuBackground.initFromPICTFile("Images/Credits/CredScrn.pict");
+	if (((PegasusEngine *)g_engine)->isDVD())
+		_menuBackground.initFromPICTFile("Images/Credits/CredScrnScummVM.pict");
+	else
+		_menuBackground.initFromPICTFile("Images/Credits/CredScrn.pict");
 	_menuBackground.setDisplayOrder(0);
 	_menuBackground.startDisplaying();
 	_menuBackground.show();
 
-	_creditsMovie.initFromMovieFile("Images/Credits/Credits.movie");
+	if (((PegasusEngine *)g_engine)->isDVD())
+		_creditsMovie.initFromMovieFile("Images/Credits/Credits_scummVM.movie");
+	else
+		_creditsMovie.initFromMovieFile("Images/Credits/Credits.movie");
 	_creditsMovie.setDisplayOrder(1);
 	_creditsMovie.moveElementTo(kCreditsMovieLeft, kCreditsMovieTop);
 	_creditsMovie.startDisplaying();
@@ -484,6 +498,37 @@ CreditsMenu::CreditsMenu() : GameMenu(kCreditsMenuID), _menuBackground(0), _cred
 	_menuSelection = -1;
 
 	newMenuSelection(kCreditsMenuCoreTeam);
+
+	if (((PegasusEngine *)g_engine)->isDVD()) {
+		_menuLoop.attachFader(&_menuFader);
+		_menuLoop.initFromAIFFFile("Sounds/Credits.aiff");
+	}
+}
+
+CreditsMenu::~CreditsMenu() {
+	if (_menuLoop.isPlaying())
+		stopCreditsMenuLoop();
+}
+
+void CreditsMenu::startCreditsMenuLoop() {
+	if (((PegasusEngine *)g_engine)->isDVD()) {
+		FaderMoveSpec spec;
+
+		_menuLoop.loopSound();
+		spec.makeTwoKnotFaderSpec(30, 0, 0, 30, 255);
+
+		_menuFader.startFader(spec);
+	}
+}
+
+void CreditsMenu::stopCreditsMenuLoop() {
+	if (((PegasusEngine *)g_engine)->isDVD()) {
+		FaderMoveSpec spec;
+	
+		spec.makeTwoKnotFaderSpec(30, 0, 255, 30, 0);
+		_menuFader.startFaderSync(spec);
+		_menuLoop.stopSound();
+	}
 }
 
 // Assumes the new selection is never more than one away from the old...
@@ -493,51 +538,59 @@ void CreditsMenu::newMenuSelection(const int newSelection) {
 		case kCreditsMenuCoreTeam:
 			_smallSelect.moveElementTo(kCoreTeamSelectLeft, kCoreTeamSelectTop);
 			_creditsMovie.setTime(kCoreTeamTime);
-			_creditsMovie.redrawMovieWorld();
 			break;
 		case kCreditsMenuSupportTeam:
 			_smallSelect.moveElementTo(kSupportTeamSelectLeft, kSupportTeamSelectTop);
 			_creditsMovie.setTime(kSupportTeamTime);
-			_creditsMovie.redrawMovieWorld();
 			break;
 		case kCreditsMenuOriginalTeam:
 			_smallSelect.moveElementTo(kOriginalTeamSelectLeft, kOriginalTeamSelectTop);
-			_creditsMovie.setTime(kOriginalTeamTime);
-			_creditsMovie.redrawMovieWorld();
+			if (((PegasusEngine *)g_engine)->isDVD())
+				_creditsMovie.setTime(kOriginalTeamDVDTime);
+			else
+				_creditsMovie.setTime(kOriginalTeamCDTime);
 			break;
 		case kCreditsMenuTalent:
 			_smallSelect.moveElementTo(kTalentSelectLeft, kTalentSelectTop);
-			_creditsMovie.setTime(kTalentTime);
-			_creditsMovie.redrawMovieWorld();
+			if (((PegasusEngine *)g_engine)->isDVD())
+				_creditsMovie.setTime(kTalentDVDTime);
+			else
+				_creditsMovie.setTime(kTalentCDTime);
 			break;
 		case kCreditsMenuOtherTitles:
 			_smallSelect.moveElementTo(kOtherTitlesSelectLeft, kOtherTitlesSelectTop);
 			_smallSelect.show();
 			_largeSelect.hide();
-			_creditsMovie.setTime(kOtherTitlesTime);
-			_creditsMovie.redrawMovieWorld();
+			if (((PegasusEngine *)g_engine)->isDVD())
+				_creditsMovie.setTime(kOtherTitlesDVDTime);
+			else
+				_creditsMovie.setTime(kOtherTitlesCDTime);
 			break;
 		case kCreditsMenuMainMenu:
 			_smallSelect.hide();
 			_largeSelect.show();
 			break;
 		}
+		_creditsMovie.redrawMovieWorld();
 
 		_menuSelection = newSelection;
 	}
 }
 
 void CreditsMenu::newMovieTime(const TimeValue newTime) {
+	// The DVD credits have an extra frame in the support team section
+	bool isDVD = ((PegasusEngine *)g_engine)->isDVD();
+
 	if (newTime < kSupportTeamTime) {
 		_smallSelect.moveElementTo(kCoreTeamSelectLeft, kCoreTeamSelectTop);
 		_menuSelection = kCreditsMenuCoreTeam;
-	} else if (newTime < kOriginalTeamTime) {
+	} else if ((isDVD && newTime < kOriginalTeamDVDTime) || (!isDVD && newTime < kOriginalTeamCDTime)) {
 		_smallSelect.moveElementTo(kSupportTeamSelectLeft, kSupportTeamSelectTop);
 		_menuSelection = kCreditsMenuSupportTeam;
-	} else if (newTime < kTalentTime) {
+	} else if ((isDVD && newTime < kTalentDVDTime) || (!isDVD && newTime < kTalentCDTime)) {
 		_smallSelect.moveElementTo(kOriginalTeamSelectLeft, kOriginalTeamSelectTop);
 		_menuSelection = kCreditsMenuOriginalTeam;
-	} else if (newTime < kOtherTitlesTime) {
+	} else if ((isDVD && newTime < kOtherTitlesDVDTime) || (!isDVD && newTime < kOtherTitlesCDTime)) {
 		_smallSelect.moveElementTo(kTalentSelectLeft, kTalentSelectTop);
 		_smallSelect.show();
 		_largeSelect.hide();
@@ -664,10 +717,11 @@ DeathMenu::DeathMenu(const DeathReason deathReason) : GameMenu(kDeathMenuID), _d
 			"dAunmade", "dAbombed", "dAshot", "dAassass", "dAnuked",
 			"dTunmade", "dTshot", "dPfall", "dPdino", "dPstuck",
 			"dNchoke", "dNcaught", "dNcaught", "dNsub", "dNrobot1",
-			"dNrobot2", "dMfall", "dMcaught", "dMtracks", "dMrobot",
-			"dMtoast", "dMexplo1", "dMexplo2", "dMchoke1", "dMchoke2",
-			"dMdroid", "dMfall", "dMgears", "dMshutt1", "dMshutt2",
-			"dWpoison", "dWcaught", "dWplasma", "dWshot", "dAfinale"
+			"dNrobot2", "dMfall", "dMcaught", "dMcollision", "dMtracks",
+			"dMrobot", "dMtoast", "dMexplo1", "dMexplo2", "dMchoke1",
+			"dMchoke2", "dMdroid", "dMshaft", "dMgears", "dMshutt1",
+			"dMshutt2", "dWpoison", "dWcaught", "dWplasma", "dWshot",
+			"dAfinale"
 		};
 
 		imageName += fileNames[deathReason - 1];
@@ -735,7 +789,10 @@ DeathMenu::DeathMenu(const DeathReason deathReason) : GameMenu(kDeathMenuID), _d
 		_largeSelect.setDisplayOrder(2);
 		_largeSelect.startDisplaying();
 	} else {
-		_triumphSound.initFromQuickTime("Sounds/Caldoria/Galactic Triumph");
+		if (vm->isDVD()) // Updated file for the DVD version
+			_triumphSound.initFromAIFFFile("Sounds/Caldoria/Galactic Triumph.44K.aiff");
+		else
+			_triumphSound.initFromQuickTime("Sounds/Caldoria/Galactic Triumph");
 		_triumphSound.playSound();
 	}
 
@@ -864,6 +921,7 @@ void DeathMenu::drawAllScores() {
 	case kDeathRobotSubControlRoom:
 	case kDeathWrongShuttleLock:
 	case kDeathArrestedInMars:
+	case kDeathCollidedWithPod:
 	case kDeathRunOverByPod:
 	case kDeathDidntGetOutOfWay:
 	case kDeathReactorBurn:
diff --git a/engines/pegasus/menu.h b/engines/pegasus/menu.h
index 288b846..c0a27ef 100644
--- a/engines/pegasus/menu.h
+++ b/engines/pegasus/menu.h
@@ -97,9 +97,11 @@ protected:
 class CreditsMenu : public GameMenu {
 public:
 	CreditsMenu();
-	virtual ~CreditsMenu() {}
+	virtual ~CreditsMenu();
 
 	virtual void handleInput(const Input &input, const Hotspot *);
+	void startCreditsMenuLoop();
+	void stopCreditsMenuLoop();
 
 protected:
 	void newMenuSelection(const int);
@@ -111,6 +113,9 @@ protected:
 	Picture _mainMenuButton;
 	Picture _largeSelect;
 	Picture _smallSelect;
+
+	Sound _menuLoop;
+	SoundFader _menuFader;
 };
 
 class DeathMenu : public GameMenu {
diff --git a/engines/pegasus/module.mk b/engines/pegasus/module.mk
index cb44a04..2dd5b87 100644
--- a/engines/pegasus/module.mk
+++ b/engines/pegasus/module.mk
@@ -1,6 +1,7 @@
 MODULE := engines/pegasus
 
 MODULE_OBJS = \
+	chase.o \
 	compass.o \
 	console.o \
 	cursor.o \
@@ -33,6 +34,7 @@ MODULE_OBJS = \
 	items/itemdragger.o \
 	items/itemlist.o \
 	items/biochips/aichip.o \
+	items/biochips/arthurchip.o \
 	items/biochips/biochipitem.o \
 	items/biochips/mapchip.o \
 	items/biochips/mapimage.o \
@@ -58,6 +60,7 @@ MODULE_OBJS = \
 	neighborhood/caldoria/caldoriabomb.o \
 	neighborhood/caldoria/caldoriamessages.o \
 	neighborhood/caldoria/caldoriamirror.o \
+	neighborhood/mars/canyonchase.o \
 	neighborhood/mars/energybeam.o \
 	neighborhood/mars/gravitoncannon.o \
 	neighborhood/mars/hermite.o \
@@ -71,6 +74,7 @@ MODULE_OBJS = \
 	neighborhood/mars/spacechase3d.o \
 	neighborhood/mars/spacejunk.o \
 	neighborhood/mars/tractorbeam.o \
+	neighborhood/mars/tunnelpod.o \
 	neighborhood/norad/norad.o \
 	neighborhood/norad/noradelevator.o \
 	neighborhood/norad/pressuredoor.o \
@@ -82,6 +86,7 @@ MODULE_OBJS = \
 	neighborhood/norad/alpha/noradalpha.o \
 	neighborhood/norad/alpha/panorama.o \
 	neighborhood/norad/alpha/panoramascroll.o \
+	neighborhood/norad/alpha/subchase.o \
 	neighborhood/norad/delta/globegame.o \
 	neighborhood/norad/delta/noraddelta.o \
 	neighborhood/prehistoric/prehistoric.o \
